Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class SecureChannelHandler

Class implementing a secure messaging channel
Defined in: SecureChannelHandler.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SecureChannelHandler(crypto) Create a secure channel

Method Summary
Method Attributes | Method Name and Description
--- | ---
| getIV() Return an initialisation vector based on the defined policy
| setEncKey(key) Sets the key used for encryption
| setEncSendSequenceCounter(ssc) Set the send sequence counter for encryption calculation
| setMacKey(key) Sets the key used for message authentication
| setMACSendSequenceCounter(ssc) Set the send sequence counter for MAC calculation
| setSendSequenceCounterPolicy(policy) Sets the policy for handling send sequence counters See IsoSecureChannel for details
| unwrap(apdu) Unwrap a secure messaging APDU recovering the content
| wrap(apdu) Wrap an APDU for secure messaging

Class Detail
SecureChannelHandler(crypto)
Create a secure channel

Parameters:
{Crypto} crypto
  the crypto provider

Method Detail
{ByteString} getIV()
Return an initialisation vector based on the defined policy

Returns:
  the IV

setEncKey(key)
Sets the key used for encryption

Parameters:
{Key} key
  the encryption key

setEncSendSequenceCounter(ssc)
Set the send sequence counter for encryption calculation

Parameters:
{ByteString} ssc
  the send sequence counter

setMacKey(key)
Sets the key used for message authentication

Parameters:
{Key} key
  the message authentication key

setMACSendSequenceCounter(ssc)
Set the send sequence counter for MAC calculation

Parameters:
{ByteString} ssc
  the send sequence counter

setSendSequenceCounterPolicy(policy)
Sets the policy for handling send sequence counters See IsoSecureChannel for details

Parameters:
{Number} policy
  one of IsoSecureChannel.SSC_DEFAULT_POLICY, SSC_SYNC_POLICY or SSC_SYNC_ENC_POLICY

unwrap(apdu)
Unwrap a secure messaging APDU recovering the content

Parameters:
{APDU} apdu
  the APDU to unwrap

wrap(apdu)
Wrap an APDU for secure messaging

Parameters:
{APDU} apdu
  the APDU to wrap

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Apr 30 2026 15:08:16 GMT+0200 (CEST)